Browse Source

Merge pull request 'hotfix/pip' (#6) from hotfix/pip into master

Reviewed-by: morgan.wahbi <morgan.wahbi@no-reply@fxinnovation.com>
Reviewed-by: quentin.vallin <quentin.vallin@fxinnovation.com>
Reviewed-by: Guillaume Donval <guillaume.donval@fxinnovation.com>
tags/0.0.5
Julien Cabillot 4 months ago
parent
commit
20db890ca7
3 changed files with 21 additions and 3 deletions
  1. +1
    -1
      .pre-commit-config.yaml
  2. +7
    -0
      CHANGELOG.md
  3. +13
    -2
      kitchen.yml

+ 1
- 1
.pre-commit-config.yaml View File

@@ -1,6 +1,6 @@
repos:
- repo: git://github.com/pre-commit/pre-commit-hooks
rev: v3.2.0
rev: v3.4.0
hooks:
- id: check-merge-conflict
- id: trailing-whitespace


+ 7
- 0
CHANGELOG.md View File

@@ -1,5 +1,12 @@
# CHANGELOG

## 0.0.5

* fix: use pip3 to install ansible
* chore: increase size of kitchen RHEL instance (15Gb)
* chore: bump kitchen ansible to `2.9.17`
* chore: bump pre-commit hooks

## 0.0.4

* Fix: docker repo bugged for rhel:


+ 13
- 2
kitchen.yml View File

@@ -22,8 +22,13 @@ provisioner:
ansible_connection: "local"
ansible_verbose: false
ansible_verbosity: 2
require_pip: true
ansible_version: "2.7.18"
# Upgrading pip outside of the package manager is an ugly hack.
# It's mandatory because of pip cryptography: https://github.com/pyca/cryptography/issues/5753
# Another workaround would be to pip3 install cryptography==3.3.2
custom_pre_install_command: "sudo yum install -y python3-pip && sudo python3 -m pip install --prefix='/usr' -U pip"
require_pip3: true
ansible_binary_path: "/usr/local/bin"
ansible_version: "2.9.17"
idempotency_test: true
idempotency_skip_tags: ["kitchen_idempotency_skip_tag"]
require_chef_for_busser: false
@@ -42,6 +47,12 @@ platforms:
Name: "tk-ansible-role-docker-rhel"
kitchen: "true"
packer: "true"
block_device_mappings:
- device_name: "/dev/sda1"
ebs:
volume_type: "gp2"
volume_size: 15
delete_on_termination: true
- name: "centos-7"
driver:
image_search:


Loading…
Cancel
Save